datacache <- new.env(hash=TRUE, parent=emptyenv())

tilingmouse11r08mmug <- function() showQCData("tilingmouse11r08mmug", datacache)
tilingmouse11r08mmug_dbconn <- function() dbconn(datacache)
tilingmouse11r08mmug_dbfile <- function() dbfile(datacache)
tilingmouse11r08mmug_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
tilingmouse11r08mmug_dbInfo <- function() dbInfo(datacache)

tilingmouse11r08mmugORGANISM <- "Mus musculus"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "tilingmouse11r08mmug.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("MOUSECHIP_DB", "tilingmouse11r08mmug", "chip tilingmouse11r08mmug", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(tilingmouse11r08mmug_dbconn())
}

